import React from "react";
import { CSSTransitionType } from "./utils";
export interface TransitionProps {
    visible?: boolean;
    name?: string;
    type?: CSSTransitionType;
    appear?: boolean;
    customAppear?: boolean;
    unmount?: boolean;
    nodeRef?: React.MutableRefObject<Element | null> | ((node: Element | null) => void);
    enterFromClass?: string;
    enterActiveClass?: string;
    enterToClass?: string;
    appearFromClass?: string;
    appearActiveClass?: string;
    appearToClass?: string;
    leaveFromClass?: string;
    leaveActiveClass?: string;
    leaveToClass?: string;
    onBeforeEnter?: (el: Element) => void;
    onEnter?: (el: Element) => void;
    onAfterEnter?: (el: Element) => void;
    onEnterCancelled?: (el: Element) => void;
    onBeforeLeave?: (el: Element) => void;
    onLeave?: (el: Element) => void;
    onAfterLeave?: (el: Element) => void;
    onLeaveCancelled?: (el: Element) => void;
    onBeforeAppear?: (el: Element) => void;
    onAppear?: (el: Element) => void;
    onAfterAppear?: (el: Element) => void;
    onAppearCancelled?: (el: Element) => void;
    children: React.ReactElement;
}
declare const Transition: (props: TransitionProps) => React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)> | null;
export default Transition;
